from __future__ import annotations
import netgen.config
import typing

__all__ = [
    "BUILD_FOR_CONDA",
    "BUILD_STUB_FILES",
    "CHECK_RANGE",
    "CMAKE_INSTALL_PREFIX",
    "DEBUG_LOG",
    "ENABLE_CPP_CORE_GUIDELINES_CHECK",
    "ENABLE_UNIT_TESTS",
    "INSTALL_PROFILES",
    "INTEL_MIC",
    "NETGEN_PYTHON_PACKAGE_NAME",
    "NETGEN_PYTHON_RPATH",
    "NETGEN_PYTHON_RPATH_BIN",
    "NETGEN_VERSION",
    "NETGEN_VERSION_GIT",
    "NETGEN_VERSION_HASH",
    "NETGEN_VERSION_MAJOR",
    "NETGEN_VERSION_MINOR",
    "NETGEN_VERSION_PATCH",
    "NETGEN_VERSION_PYTHON",
    "NETGEN_VERSION_TWEAK",
    "NG_COMPILE_FLAGS",
    "NG_INSTALL_DIR_BIN",
    "NG_INSTALL_DIR_CMAKE",
    "NG_INSTALL_DIR_INCLUDE",
    "NG_INSTALL_DIR_LIB",
    "NG_INSTALL_DIR_PYTHON",
    "NG_INSTALL_DIR_RES",
    "TRACE_MEMORY",
    "USE_CCACHE",
    "USE_CGNS",
    "USE_GUI",
    "USE_INTERNAL_TCL",
    "USE_JPEG",
    "USE_MPEG",
    "USE_MPI",
    "USE_MPI4PY",
    "USE_NATIVE_ARCH",
    "USE_NUMA",
    "USE_OCC",
    "USE_PYTHON",
    "USE_SPDLOG",
    "is_python_package",
    "ngcore_compile_definitions",
    "ngcore_compile_options",
    "version"
]


BUILD_FOR_CONDA = False
BUILD_STUB_FILES = True
CHECK_RANGE = False
CMAKE_INSTALL_PREFIX = '/opt/local'
DEBUG_LOG = False
ENABLE_CPP_CORE_GUIDELINES_CHECK = False
ENABLE_UNIT_TESTS = False
INSTALL_PROFILES = False
INTEL_MIC = False
NETGEN_PYTHON_PACKAGE_NAME = ''
NETGEN_PYTHON_RPATH = '../../'
NETGEN_PYTHON_RPATH_BIN = '../../../bin'
NETGEN_VERSION = '6.2.2301'
NETGEN_VERSION_GIT = 'v6.2.2301'
NETGEN_VERSION_HASH = 'v6.2.2301'
NETGEN_VERSION_MAJOR = '6'
NETGEN_VERSION_MINOR = '2'
NETGEN_VERSION_PATCH = '2301'
NETGEN_VERSION_PYTHON = 'v6.2.2301'
NETGEN_VERSION_TWEAK = 'v6.2.2301'
NG_COMPILE_FLAGS = ''
NG_INSTALL_DIR_BIN = 'bin'
NG_INSTALL_DIR_CMAKE = 'lib/cmake/netgen'
NG_INSTALL_DIR_INCLUDE = 'include'
NG_INSTALL_DIR_LIB = 'lib'
NG_INSTALL_DIR_PYTHON = 'lib/python3.11/site-packages'
NG_INSTALL_DIR_RES = 'share'
TRACE_MEMORY = False
USE_CCACHE = False
USE_CGNS = False
USE_GUI = True
USE_INTERNAL_TCL = True
USE_JPEG = True
USE_MPEG = True
USE_MPI = False
USE_MPI4PY = True
USE_NATIVE_ARCH = False
USE_NUMA = False
USE_OCC = False
USE_PYTHON = True
USE_SPDLOG = False
is_python_package = False
ngcore_compile_definitions = 'NETGEN_PYTHON;NG_PYTHON'
ngcore_compile_options = ''
version = 'v6.2.2301'
